Package org.spongepowered.asm.logging

## Class LoggerAdapterDefault

- java.lang.Object
- - org.spongepowered.asm.logging.LoggerAdapterAbstract
  - - org.spongepowered.asm.logging.LoggerAdapterDefault

All Implemented Interfaces:
  `ILogger`

    public class LoggerAdapterDefault
    extends LoggerAdapterAbstract

Default logger adapter which sinks log messages but doesn't emit them anywhere, used only in cases where no logging framework is available and no logging is desired.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.spongepowered.asm.logging.LoggerAdapterAbstract

`LoggerAdapterAbstract.FormattedMessage`

### Constructor Summary

Constructors
`LoggerAdapterDefault​(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `catching​(Level level, java.lang.Throwable t)` Logs an exception or error that has been caught.
`java.lang.String` `getType()` Get a short human-readable name of this logger type
`void` `log​(Level level, java.lang.String message, java.lang.Object... params)` Logs a message with parameters at the given level.
`void` `log​(Level level, java.lang.String message, java.lang.Throwable t)` Logs a message at the given level including the stack trace of the `Throwable` `t` passed as parameter.
`<T extends java.lang.Throwable> T` `throwing​(T t)` Logs an exception or error to be thrown.

### Methods inherited from class org.spongepowered.asm.logging.LoggerAdapterAbstract

`catching, debug, debug, error, error, fatal, fatal, getId, info, info, trace, trace, warn, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoggerAdapterDefault

    public LoggerAdapterDefault​(java.lang.String name)

### Method Detail

#### getType

    public java.lang.String getType()

Description copied from interface: `ILogger`
Get a short human-readable name of this logger type

#### catching

    public void catching​(Level level,
                         java.lang.Throwable t)

Description copied from interface: `ILogger`
Logs an exception or error that has been caught.

Parameters:
  `level` - The logging Level.
  `t` - The Throwable.

#### log

    public void log​(Level level,
                    java.lang.String message,
                    java.lang.Object... params)

Description copied from interface: `ILogger`
Logs a message with parameters at the given level.

Parameters:
  `level` - the logging level
  `message` - the message to log
  `params` - parameters to the message

#### log

    public void log​(Level level,
                    java.lang.String message,
                    java.lang.Throwable t)

Description copied from interface: `ILogger`
Logs a message at the given level including the stack trace of the `Throwable` `t` passed as parameter.

Parameters:
  `level` - the logging level
  `message` - the message to log
  `t` - the exception to log, including its stack trace

#### throwing

    public <T extends java.lang.Throwable> T throwing​(T t)

Description copied from interface: `ILogger`
Logs an exception or error to be thrown.

Type Parameters:
  `T` - the Throwable type
Parameters:
  `t` - The Throwable
Returns:
  the Throwable